import 'package:flutter_test/flutter_test.dart';
import 'package:request_api_helper/request.dart' as req;
import 'package:request_api_helper/request_api_helper.dart';

void main() {
  test('adds one to input values', () async {
    await req.send(
      customData: CustomRequestData(
        url: 'https://app.iwopay.net/Me',
        header: {
          'Content-Type': 'application/json; charset=utf-8',
          'accept': 'application/json',
          'Authorization': 'Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJUSEVfQ0xBSU0iLCJhdWQiOiJUSEVfQVVESUVOQ0UiLCJpYXQiOjE2MzI1MjY2NTAsIm5iZiI6MTYzMjUyNjY2MCwiZXhwIjoxNjMyNTI2OTUwLCJ1aWQiOiIxIiwiZW1haWwiOiJhY2hvbmtAZ21haWwuY29tIn0.DpW2mN_w4nKNuLyTqeUIy26rZMHkvhDQvwR2FZOsLxQ',
        },
        body: {
          'email': 'achonk2@gmail.com',
          'password': '123456',
        },
      ),
      type: RESTAPI.post,
      changeConfig: RequestApiHelperConfigData(
        logResponse: true,
        onError: (code, data) {
          print(data);
        },
        onSuccess: (data) {},
        exception: true,
        onException: (string) {
          print(string);
        },
      ),
    );
  });
  // print('a');
}
